Subject: bug#40992: 27.0.90; Evaluating a function while using edebug breaks

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 May 2020 10:10:04 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Fri, 01 May 2020 23:05:32 -0400
> Cc: Alan Mackenzie <[email-masked]>, [email-masked],
>  Phillip Lord <[email-masked]>
> 
> > I think that sounds like a good solution on master, but the patch that
> > introduced this should probably be reverted on emacs-27 -- it wasn't a
> > bug fix, but a new feature, so reverting it should be safe, I think.
> 
> I don't understand; the fix looks trivial to me (leaving out
> indentation), and only touches a new function.  Surely this is okay for
> emacs-27?

If this fixes the problem, it's okay for emacs-27.  But then why did
Alan say there was no easy solution?